module.exports = function (grunt) {
    // Project configuration.
    grunt.initConfig({
        pkg: grunt.file.readJSON('package.json'),

        // Minify JavaScript files.
        uglify: {
            options: {
                banner: '/*! <%= pkg.name %> - <%= grunt.template.today("yyyy-mm-dd") %> */\n',
                mangle: false // Prevents renaming of function and variable names.
            },
            build: {
                files: {
                    'amd/build/live_join.min.js': ['amd/src/live_join.js'], // Example for your block's JavaScript.
                }
            }
        },

        // Watch for changes in files and re-run tasks.
        watch: {
            scripts: {
                files: ['amd/src/**/*.js'],
                tasks: ['eslint', 'uglify'],
                options: {
                    spawn: false,
                }
            },
            css: {
                files: ['**/*.scss'],
                tasks: ['sass'],
                options: {
                    spawn: false,
                }
            }
        },

        // Clean build directories before generating new files.
        clean: {
            build: ['amd/build/*']
        }
    });

    // Load the plugins required for the tasks.
    grunt.loadNpmTasks('grunt-contrib-uglify');
    grunt.loadNpmTasks('grunt-contrib-watch');
    grunt.loadNpmTasks('grunt-contrib-clean');

    // Register default tasks.
    grunt.registerTask('default', ['clean', 'uglify']);
};
