define(['jquery', 'core/ajax'], function($, Ajax) {
    return {
        init: function() {
            // Delay execution to allow for DOM readiness.
            setTimeout(function() {
                $('.live_join_class_eye').on('click', function() {
                    const meetingid = $(this).data('id');
                    const visibility = $(this).data('visible');

                    // Use Moodle's core AJAX framework to call the external service.
                    const request = Ajax.call([{
                        methodname: 'block_zoomonline_update_visibility',
                        args: {
                            meetingid: meetingid,
                            visible: visibility
                        }
                    }]);

                    request[0].done(function(response) {
                        // Reload the page after a successful response.
                        window.location.reload();
                    }).fail(function(error) {
                        console.error('Failed to update visibility:', error);
                    });
                });
            }, 4000);
        }
    };
});
